# List Recipient Share Permissions

Launch stage: GA

`GET /api/2.1/unity-catalog/recipients/{name}/share-permissions`

Gets the share permissions for the specified Recipient. The caller must have the **USE_RECIPIENT** privilege on the metastore or be the owner of the Recipient.

API scopes: sharing

## Path parameters

- `name` (string, optional)
  The name of the Recipient.

## Query parameters

- `max_results` (int32, optional)
  Maximum number of permissions to return.
    - when set to 0, the page length is set to a server configured value (recommended);
    - when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
    - when set to a value less than 0, an invalid parameter error is returned;
    - If not set, all valid permissions are returned (not recommended).
    - Note: The number of returned permissions might be less than the specified max_results size, even zero.
   The only definitive indication that no further permissions can be fetched is when the next_page_token is unset from the response.
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

- `permissions_out` (array of object, optional)
  An array of data share permissions for a recipient.
  - `share_name` (string, optional)
    The share name.
  - `privilege_assignments` (array of object, optional)
    The privileges assigned to the principal.
    - `principal` (string, optional)
      The principal (user email address or group name).
       For deleted principals, `principal` is empty while `principal_id` is populated.
    - `privileges` (array of string, optional)
      The privileges assigned to the principal.
      Example: `SELECT`
- `next_page_token` (string, optional)
  Opaque token to retrieve the next page of results. Absent if there are no more pages.
   __page_token__ should be set to this value for the next request (for the next page of results).

## Response

```json
{
  "permissions_out": [
    {
      "share_name": "string",
      "privilege_assignments": [
        {}
      ]
    }
  ],
  "next_page_token": "string"
}
```

